Post by sribasu » Sun Jul 16, 2017 5:47 am

When I try to install the latest version of the Export/Import Tool Extension (https://www.opencart.com/index.php?rout ... _license=0) from Extension Installer I get an error message. I am using opencart version 2.3.0.2 and trying to install the extension file opencart-3-x-export-import-multilingual-3-12.ocmod.zip. Looks like when the file is uploaded the PHP Installer fails to move the file from my tmp folder to the upload folder. I investigated further and found that the temporary folder created inside upload folder do not have write permission. Unfortunately even after changing permission of upload folder to 777 I am not able to get past the error, because the newly created temporary children folders are always getting 666 permission. I got the following error in popup.

SyntaxError: Unexpected token < in JSON at position 0
OK
<b>Warning</b>: move_uploaded_file([site_path]/system/storage/upload/temp-HGTL8HNcGNMRSJ32eoVwwx2Wac0MdMl0/upload.zip): failed to open stream: Permission denied in <b>[site_path]/admin/controller/extension/installer.php</b> on line <b>116</b><b>Warning</b>: move_uploaded_file(): Unable to move '/tmp/phpSIiDIB' to '[site_path]/system/storage/upload/temp-HGTL8HNcGNMRSJ32eoVwwx2Wac0MdMl0/upload.zip' in <b>[site_path]/admin/controller/extension/installer.php</b> on line <b>116</b>{"step":[],"overwrite":[],"error":"File could not be found!"}

Please can you help me to get rid of this error? I think, if I can somehow change the default new folder permission of the upload folder, the issue can be fixed. I have shell and FTP access. Please help

Newbie

Posts

Joined
Sun Jul 16, 2017 5:08 am

Post by straightlight » Sat Dec 02, 2017 1:15 am

Since this issue is about an extension, contact the extension developer to resolve this problem.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by cyclops12 » Wed May 23, 2018 2:28 am

sribasu wrote:
Sun Jul 16, 2017 5:47 am
I am using opencart version 2.3.0.2 and trying to install the extension file opencart-3-x-export-import-multilingual-3-12.ocmod.zip.
There is your problem, your trying to use an extension made for oc version 3
Try downloading the 2. version

Active Member

Posts

Joined
Sun Sep 27, 2015 1:10 am
Who is online

Users browsing this forum: No registered users and 3 guests